import 'package:farmer_client/pages/main/widgets/OtherColumn.dart';
import 'package:farmer_client/pages/main/widgets/UserAddress.dart';
import 'package:farmer_client/pages/main/widgets/UserInfo.dart';
import 'package:flutter/material.dart';


class MainPage extends StatefulWidget {
  const MainPage({Key? key}) : super(key: key);

  @override
  State<MainPage> createState() => _MainPageState();
}

class _MainPageState extends State<MainPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: false,
      appBar:  AppBar(
        title:  Text('我的'),
        leading:  Icon(Icons.arrow_back_ios),
        // backgroundColor: Colors.transparent,
        centerTitle: true,

      ),
      body:Container(
        alignment: Alignment.center,
        child:   Column(
          children: [
            UserInfo(),
            UserAddress(),
            OtherColumn()
          ],
        ),
      )


    );
  }
}
